controllers/IndexController.php
<?php
/**
 * Email: srdjan.drakul@2amigos.us
 * Date: 10/8/2019
 * Time: 22:10
 */

namespace app\controllers;

use Yii;
use yii\web\Controller;

class IndexController extends Controller
{
    /**
     * Displays vue homepage.
     *
     * @return string
     */
    public function actionVue()
    {
        // set the specific layout for pages that will render vue
        $this->layout = 'vue_main';

        // override bundle configuration if needed
        Yii::$app->assetManager->bundles = [];

        // render page
        return $this->render('vue_page');
    }


}

views/layouts/_footer.php
<?php
/**
 * Email: srdjandrakul@gmail.com
 * Date: 8/10/2019
 * Time: 20:51
 */

?>

<footer class="footer">
    <div class="container">
        <p class="pull-left">&copy; My Company <?= date('Y') ?></p>

        <p class="pull-right"><?= Yii::powered() ?></p>
    </div>
</footer>

views/layouts/_nav.php
<?php
/**
 * Email: srdjandrakul@gmail.com
 * Date: 8/10/2019
 * Time: 20:50
 */

use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\helpers\Html;

?>

<?php
NavBar::begin([
    'brandLabel' => Yii::$app->name,
    'brandUrl' => Yii::$app->homeUrl,
    'options' => [
        'class' => 'navbar-inverse navbar-fixed-top',
    ],
]);
echo Nav::widget([
    'options' => ['class' => 'navbar-nav navbar-right'],
    'items' => [
        ['label' => 'Vue', 'url' => ['/index/vue']],
        ['label' => 'About', 'url' => ['/site/about']],
        ['label' => 'Contact', 'url' => ['/site/contact']],
        Yii::$app->user->isGuest ? (
        ['label' => 'Login', 'url' => ['/site/login']]
        ) : (
            '<li>'
            . Html::beginForm(['/site/logout'], 'post')
            . Html::submitButton(
                'Logout (' . Yii::$app->user->identity->username . ')',
                ['class' => 'btn btn-link logout']
            )
            . Html::endForm()
            . '</li>'
        )
    ],
]);
NavBar::end();
?>

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use yii\helpers\Html;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?= $this->render('_nav'); ?>

    <div class="container">
        <?= $content ?>
    </div>
</div>

<?= $this->render('_footer'); ?>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/layouts/vue_main.php
<?php
/**
 * Email: srdjandrakul@gmail.com
 * Date: 8/10/2019
 * Time: 20:54
 */

use yii\helpers\Html;
use app\assets\VueAssets;

/* @var $this \yii\web\View */
/* @var $content string */

VueAssets::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?= $this->render('_nav'); ?>

    <div class="container">
        <?= $content; ?>
    </div>
</div>

<?= $this->render('_footer'); ?>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>